# Whisper > OpenAI's Whisper large-v3 speech recognition (144M+ runs) — the standard for transcription. Auto language detection across 100 languages, translation to English, and plain/SRT/VTT output. - **Provider**: replicate - **Model ID**: openai/whisper - **Category**: speech_to_text - **Credits**: 10 per request - **Pricing Type**: fixed ## API Endpoint Base URL: https://api.core.today/v1 ### Create Prediction POST /predictions ### Get Status GET /predictions/{job_id} ### Cancel DELETE /predictions/{job_id} ## Authentication Header: `X-API-Key: YOUR_API_KEY` ## Input Parameters - `compression_ratio_threshold` (number, optional): if the gzip compression ratio is higher than this value, treat the decoding as failed (Default: `2.4`) - `logprob_threshold` (number, optional): if the average log probability is lower than this value, treat the decoding as failed (Default: `-1`) - `transcription` (string, optional): Choose the format for the transcription (Default: `plain text`; Options: `plain text`, `srt`, `vtt`) - `condition_on_previous_text` (boolean, optional): if True, provide the previous output of the model as a prompt for the next window; disabling may make the text inconsistent across windows, but the model becomes less prone to getting stuck in a failure loop (Default: `True`) - `initial_prompt` (string, optional): optional text to provide as a prompt for the first window. - `language` (string, optional): Language spoken in the audio, specify 'auto' for automatic language detection (Default: `auto`; Options: `auto`, `af`, `am`, `ar`, `as`, `az`, `ba`, `be`, `bg`, `bn`, `bo`, `br`, `bs`, `ca`, `cs`, `cy`, `da`, `de`, `el`, `en`, `es`, `et`, `eu`, `fa`, `fi`, `fo`, `fr`, `gl`, `gu`, `ha`, `haw`, `he`, `hi`, `hr`, `ht`, `hu`, `hy`, `id`, `is`, `it`, `ja`, `jw`, `ka`, `kk`, `km`, `kn`, `ko`, `la`, `lb`, `ln`, `lo`, `lt`, `lv`, `mg`, `mi`, `mk`, `ml`, `mn`, `mr`, `ms`, `mt`, `my`, `ne`, `nl`, `nn`, `no`, `oc`, `pa`, `pl`, `ps`, `pt`, `ro`, `ru`, `sa`, `sd`, `si`, `sk`, `sl`, `sn`, `so`, `sq`, `sr`, `su`, `sv`, `sw`, `ta`, `te`, `tg`, `th`, `tk`, `tl`, `tr`, `tt`, `uk`, `ur`, `uz`, `vi`, `yi`, `yo`, `yue`, `zh`, `Afrikaans`, `Albanian`, `Amharic`, `Arabic`, `Armenian`, `Assamese`, `Azerbaijani`, `Bashkir`, `Basque`, `Belarusian`, `Bengali`, `Bosnian`, `Breton`, `Bulgarian`, `Burmese`, `Cantonese`, `Castilian`, `Catalan`, `Chinese`, `Croatian`, `Czech`, `Danish`, `Dutch`, `English`, `Estonian`, `Faroese`, `Finnish`, `Flemish`, `French`, `Galician`, `Georgian`, `German`, `Greek`, `Gujarati`, `Haitian`, `Haitian Creole`, `Hausa`, `Hawaiian`, `Hebrew`, `Hindi`, `Hungarian`, `Icelandic`, `Indonesian`, `Italian`, `Japanese`, `Javanese`, `Kannada`, `Kazakh`, `Khmer`, `Korean`, `Lao`, `Latin`, `Latvian`, `Letzeburgesch`, `Lingala`, `Lithuanian`, `Luxembourgish`, `Macedonian`, `Malagasy`, `Malay`, `Malayalam`, `Maltese`, `Mandarin`, `Maori`, `Marathi`, `Moldavian`, `Moldovan`, `Mongolian`, `Myanmar`, `Nepali`, `Norwegian`, `Nynorsk`, `Occitan`, `Panjabi`, `Pashto`, `Persian`, `Polish`, `Portuguese`, `Punjabi`, `Pushto`, `Romanian`, `Russian`, `Sanskrit`, `Serbian`, `Shona`, `Sindhi`, `Sinhala`, `Sinhalese`, `Slovak`, `Slovenian`, `Somali`, `Spanish`, `Sundanese`, `Swahili`, `Swedish`, `Tagalog`, `Tajik`, `Tamil`, `Tatar`, `Telugu`, `Thai`, `Tibetan`, `Turkish`, `Turkmen`, `Ukrainian`, `Urdu`, `Uzbek`, `Valencian`, `Vietnamese`, `Welsh`, `Yiddish`, `Yoruba`) - `translate` (boolean, optional): Translate the text to English when set to True (Default: `False`) - `temperature` (number, optional): temperature to use for sampling (Default: `0`) - `patience` (number, optional): optional patience value to use in beam decoding, as in https://arxiv.org/abs/2204.05424, the default (1.0) is equivalent to conventional beam search - `no_speech_threshold` (number, optional): if the probability of the <|nospeech|> token is higher than this value AND the decoding has failed due to `logprob_threshold`, consider the segment as silence (Default: `0.6`) - `audio` (string, **required**): Audio file - `suppress_tokens` (string, optional): comma-separated list of token ids to suppress during sampling; '-1' will suppress most special characters except common punctuations (Default: `-1`) - `temperature_increment_on_fallback` (number, optional): temperature to increase when falling back when the decoding fails to meet either of the thresholds below (Default: `0.2`) ## Example Request ```json { "model": "openai/whisper", "input": { "compression_ratio_threshold": 2.4, "logprob_threshold": -1, "transcription": "plain text", "condition_on_previous_text": true, "temperature": 0, "model": "large-v3", "no_speech_threshold": 0.6, "audio": "https://replicate.delivery/mgxm/e5159b1b-508a-4be4-b892-e1eb47850bdc/OSR_uk_000_0050_8k.wav", "suppress_tokens": "-1", "temperature_increment_on_fallback": 0.2, "translate": false } } ``` ## Response Format ```json { "job_id": "abc123", "status": "pending", "provider": "replicate", "model": "black-forest-labs/flux-schnell", "created_at": "2026-01-01T00:00:00Z", "result": null, "error": null } ``` Status values: `pending`, `processing`, `completed`, `failed`, `cancelled` ## Usage Flow 1. POST /predictions with model and input → receive job_id 2. Poll GET /predictions/{job_id} until status is `completed` or `failed` 3. Result contains output URL(s) or data ## Output Type json ## Tags speech-to-text, transcription, whisper, openai, multilingual, translation ## Documentation https://replicate.com/openai/whisper